Api referenceCalendarsEvents
Retrieve an event
AuthorizationBearer <token>
In: header
Path Parameters
id*string
calendarId*string
Response Body
application/json
curl -X GET "https://example.com/v2/calendars/string/events/string"{ "id": "string", "calendarId": "string", "name": "string", "description": "string", "dates": {}, "frequency": { "type": "string", "periodicity": "string", "counter": 0, "days": [ 0 ], "endDate": "string", "monthlySelection": "string" }, "roomStatus": "live", "onPremise": {}, "live": {}, "createdAt": "string", "updatedAt": "string", "parentId": "string", "owner": {}, "guestNumber": 0, "coHostNumber": 0, "courseTeacherNumber": 0, "courseAttendantNumber": 0, "courseObserverNumber": 0, "updatedBy": "string", "createdBy": "string", "entity": {}, "sharedCalendars": [ "string" ], "attachments": [ {} ], "endDateReference": {}, "chapterSummary": {}, "hostMembers": [ {} ], "guestMembers": [ {} ], "coHostMembers": [ {} ], "courseTeacherMembers": [ {} ], "courseAttendantMembers": [ {} ], "courseObserverMembers": [ {} ], "cycleId": "string", "sharedLectureIds": [ "string" ], "color": "string", "links": [ {} ], "isConvergentWithDraftCalendar": true, "role": "host", "sharedCalendarsCount": 0, "suspend": true, "isRescheduled": true, "isAdjustable": true, "rescheduledDate": {}, "subject": {}, "rescheduledEventId": "string", "originalEventId": "string", "originalDate": {}, "books": [ { "pageRanges": [ { "start": 0, "end": 0 } ], "id": "string", "libraryId": "string", "title": "string", "sourceType": "pdf", "courses": [ "string" ], "calendars": [ "string" ], "owner": { "id": "string", "name": "string", "picture": "string", "email": "string" }, "createdAt": "string", "updatedAt": "string", "languageId": "string", "language": {}, "thumbnail": {}, "isbnThumbnailUrl": "string", "isbn": "string", "library": { "id": "string", "title": "string", "icon": "string", "color": "string" }, "numberOf": {}, "description": "string", "file": {}, "link": {}, "edition": "string", "publisher": "string", "author": "string", "createdBy": "string", "updatedBy": "string", "companionVolumeType": "string", "companionVolumeIds": [ "string" ], "companionVolumes": [ { "id": "string", "title": "string", "sourceType": "pdf", "languageId": "string", "thumbnail": {}, "author": "string", "edition": "string", "publisher": "string", "file": {}, "link": {}, "companionVolumeType": "string", "description": "string", "isbn": "string", "isbnThumbnailUrl": "string", "libraryId": "string", "numberOf": {} } ], "isCompanionVolume": true, "subjects": [ { "id": "string", "title": "string", "color": "string", "teachers": [ { "id": "string", "invited": true, "fullName": "string", "picture": "string", "cover": "string", "isFollowing": true, "online": true, "email": "string", "story": {}, "organizationRole": "organization-owner", "areaOwner": {}, "declined": true } ], "courses": [ "string" ], "area": "string", "numberOf": {}, "attachments": [ "string" ], "books": [ "string" ], "createdAt": "string", "updatedAt": "string", "createdBy": "string", "updatedBy": "string", "icon": "string", "levels": [ { "id": "string", "title": "string", "books": [ "string" ] } ] } ], "documentId": "string" } ]}